<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by IRIS Business Services Ltd., Powered by IRIS Carbon, Unique Code 68d0c69ec7fcf003e4d15086, Generated At Mon, 22 Sep 2025 03:46:38 GMT-->
<link:linkbase xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFFINANCIALPOSITION" xlink:type="simple" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#CONSOLIDATEDSTATEMENTOFFINANCIALPOSITION" />
  <link:roleRef roleURI="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFCOMPREHENSIVEINCOME" xlink:type="simple" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#CONSOLIDATEDSTATEMENTOFCOMPREHENSIVEINCOME" />
  <link:roleRef roleURI="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFCASHFLOWS" xlink:type="simple" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#CONSOLIDATEDSTATEMENTOFCASHFLOWS" />
  <link:roleRef roleURI="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFCHANGESINEQUITY" xlink:type="simple" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#CONSOLIDATEDSTATEMENTOFCHANGESINEQUITY" />
  <link:roleRef roleURI="http://www.marwynac3.com/xbrl/role/NOTESTOTHECONSOLIDATEDFINANCIALSTATEMENTS" xlink:type="simple" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#NOTESTOTHECONSOLIDATEDFINANCIALSTATEMENTS" />
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFFINANCIALPOSITION">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:title="ifrs-full_Assets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:title="ifrs-full_CurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentAssets" xlink:title="Calculation : ifrs-full_Assets to ifrs-full_CurrentAssets" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" xlink:title="ifrs-full_TradeAndOtherCurrentReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" xlink:title="Calculation : ifrs-full_CurrentAssets to ifrs-full_TradeAndOtherCurrentReceivables" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:title="ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CashAndCashEquivalents" xlink:title="Calculation : ifrs-full_CurrentAssets to ifrs-full_CashAndCashEquivalents" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:title="ifrs-full_EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:title="ifrs-full_Equity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Equity" xlink:title="Calculation : ifrs-full_EquityAndLiabilities to ifrs-full_Equity" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapitalOrdinaryShares" xlink:label="ifrs-full_IssuedCapitalOrdinaryShares" xlink:title="ifrs-full_IssuedCapitalOrdinaryShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_IssuedCapitalOrdinaryShares" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_IssuedCapitalOrdinaryShares" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_AShares" xlink:label="mac3_AShares" xlink:title="mac3_AShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="mac3_AShares" xlink:title="Calculation : ifrs-full_Equity to mac3_AShares" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_SponsorShare" xlink:label="mac3_SponsorShare" xlink:title="mac3_SponsorShare" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="mac3_SponsorShare" xlink:title="Calculation : ifrs-full_Equity to mac3_SponsorShare" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfSharebasedPayments" xlink:label="ifrs-full_ReserveOfSharebasedPayments" xlink:title="ifrs-full_ReserveOfSharebasedPayments" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_ReserveOfSharebasedPayments" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_ReserveOfSharebasedPayments" order="3" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" xlink:title="ifrs-full_RetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_RetainedEarnings" xlink:title="Calculation : ifrs-full_Equity to ifrs-full_RetainedEarnings" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" xlink:title="ifrs-full_Liabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Liabilities" xlink:title="Calculation : ifrs-full_EquityAndLiabilities to ifrs-full_Liabilities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" xlink:title="ifrs-full_TradeAndOtherCurrentPayables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_TradeAndOtherCurrentPayables" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_TradeAndOtherCurrentPayables" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentWarrantLiability" xlink:label="ifrs-full_CurrentWarrantLiability" xlink:title="ifrs-full_CurrentWarrantLiability" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_Liabilities" xlink:to="ifrs-full_CurrentWarrantLiability" xlink:title="Calculation : ifrs-full_Liabilities to ifrs-full_CurrentWarrantLiability" order="1" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFCOMPREHENSIVEINCOME">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:title="ifrs-full_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_ProfitLoss" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:title="ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossBeforeTax" xlink:title="Calculation : ifrs-full_ProfitLoss to ifrs-full_ProfitLossBeforeTax" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_ProfitLossFromOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" xlink:title="ifrs-full_AdministrativeExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_AdministrativeExpense" xlink:title="Calculation : ifrs-full_ProfitLossFromOperatingActivities to ifrs-full_AdministrativeExpense" order="0" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" xlink:title="ifrs-full_FinanceIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceIncome" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_FinanceIncome" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:label="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:title="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:label="mac3_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="mac3_ReversalOfUnrealisedLossOnCancellationOfAWarrants" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="mac3_ReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="Calculation : ifrs-full_ProfitLossBeforeTax to mac3_ReversalOfUnrealisedLossOnCancellationOfAWarrants" order="3" weight="1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="Calculation : ifrs-full_ProfitLoss to ifrs-full_IncomeTaxExpenseContinuingOperations" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:title="ifrs-full_OtherComprehensiveIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" xlink:title="Calculation : ifrs-full_ComprehensiveIncome to ifrs-full_OtherComprehensiveIncome" order="1" weight="1" use="optional" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFCASHFLOWS">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:title="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to ifrs-full_CashFlowsFromUsedInOperatingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_ProfitLoss" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_ProfitLoss" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncome" xlink:label="ifrs-full_AdjustmentsForFinanceIncome" xlink:title="ifrs-full_AdjustmentsForFinanceIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForFinanceIncome" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForFinanceIncome" order="1" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:label="ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" order="2" weight="-1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:label="mac3_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="mac3_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="mac3_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to mac3_AdjustmentsForReversalOfUnrealisedLossOnCancellationOfAWarrants" order="3" weight="-1" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" order="4" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInOperatingActivities to ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="5" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to ifrs-full_CashFlowsFromUsedInInvestingActivities" order="1" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:title="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInInvestingActivities to ifrs-full_InterestReceivedClassifiedAsInvestingActivities" order="0" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="Calculation : ifrs-full_IncreaseDecreaseInCashAndCashEquivalents to ifrs-full_CashFlowsFromUsedInFinancingActivities" order="2" weight="1" use="optional" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_RepurchaseOfAShares" xlink:label="mac3_RepurchaseOfAShares" xlink:title="mac3_RepurchaseOfAShares" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="mac3_RepurchaseOfAShares" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to mac3_RepurchaseOfAShares" order="0" weight="-1" />
    <link:loc xlink:type="locator" xlink:href="254900YT8SO8JT2LGD15-2025-06-30.xsd#mac3_RepurchaseOfAWarrants" xlink:label="mac3_RepurchaseOfAWarrants" xlink:title="mac3_RepurchaseOfAWarrants" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="mac3_RepurchaseOfAWarrants" xlink:title="Calculation : ifrs-full_CashFlowsFromUsedInFinancingActivities to mac3_RepurchaseOfAWarrants" order="1" weight="-1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://www.marwynac3.com/xbrl/role/CONSOLIDATEDSTATEMENTOFCHANGESINEQUITY" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.marwynac3.com/xbrl/role/NOTESTOTHECONSOLIDATEDFINANCIALSTATEMENTS" />
</link:linkbase>